> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Customer

This request enables you to retrieve details of customers based on their `id`, which needs to be provided in the request path.


## OpenAPI

````yaml openapi/customers/retrieve-customer.json GET /customers/{customer_id}
openapi: 3.1.0
info:
  title: customer-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /customers/{customer_id}:
    get:
      summary: Retrieve Customer
      operationId: retrieve-customer
      parameters:
        - in: path
          name: customer_id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 94121f98-98f7-4d57-aa5f-228401d35b12
                    merchant_customer_id: '1744402154'
                    first_name: John
                    last_name: Doe
                    gender: F
                    date_of_birth: '1990-02-28'
                    email: john.doe@gmail.com
                    nationality: CO
                    country: CO
                    document:
                      document_type: CC
                      document_number: '1010268952'
                    phone:
                      number: '3132450765'
                      country_code: '57'
                    billing_address:
                      address_line_1: 'Calle 34 # 56 - 78'
                      address_line_2: Apartamento 502, Torre I
                      country: CO
                      state: Cundinamarca
                      city: Bogotá
                      zip_code: '111111'
                      neighborhood: Test
                    shipping_address:
                      address_line_1: 'Calle 34 # 56 - 78'
                      address_line_2: Apartamento 502, Torre I
                      country: CO
                      state: Cundinamarca
                      city: Bogotá
                      zip_code: '111111'
                      neighborhood: Test
                    metadata:
                      - key: ID
                        value: '1234'
                    created_at: '2025-04-11T20:09:14.927971Z'
                    updated_at: '2025-04-11T20:09:14.927972Z'
                    merchant_customer_created_at: '2023-08-05T14:43:58.980718Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 94121f98-98f7-4d57-aa5f-228401d35b12
                  merchant_customer_id:
                    type: string
                    example: '1744402154'
                  first_name:
                    type: string
                    example: John
                  last_name:
                    type: string
                    example: Doe
                  gender:
                    type: string
                    example: F
                  date_of_birth:
                    type: string
                    example: '1990-02-28'
                  email:
                    type: string
                    example: john.doe@gmail.com
                  nationality:
                    type: string
                    example: CO
                  country:
                    type: string
                    example: CO
                  document:
                    type: object
                    properties:
                      document_type:
                        type: string
                        example: CC
                      document_number:
                        type: string
                        example: '1010268952'
                  phone:
                    type: object
                    properties:
                      number:
                        type: string
                        example: '3132450765'
                      country_code:
                        type: string
                        example: '57'
                  billing_address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 'Calle 34 # 56 - 78'
                      address_line_2:
                        type: string
                        example: Apartamento 502, Torre I
                      country:
                        type: string
                        example: CO
                      state:
                        type: string
                        example: Cundinamarca
                      city:
                        type: string
                        example: Bogotá
                      zip_code:
                        type: string
                        example: '111111'
                      neighborhood:
                        type: string
                        example: Test
                  shipping_address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 'Calle 34 # 56 - 78'
                      address_line_2:
                        type: string
                        example: Apartamento 502, Torre I
                      country:
                        type: string
                        example: CO
                      state:
                        type: string
                        example: Cundinamarca
                      city:
                        type: string
                        example: Bogotá
                      zip_code:
                        type: string
                        example: '111111'
                      neighborhood:
                        type: string
                        example: Test
                  metadata:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          example: ID
                        value:
                          type: string
                          example: '1234'
                  created_at:
                    type: string
                    example: '2025-04-11T20:09:14.927971Z'
                  updated_at:
                    type: string
                    example: '2025-04-11T20:09:14.927972Z'
                  merchant_customer_created_at:
                    type: string
                    example: '2023-08-05T14:43:58.980718Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Customer not found:
                  value:
                    code: CUSTOMER_NOT_FOUND
                    messages:
                      - Customer not found.
                  summary: Customer not found
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Invalid credentials:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid Credentials
                  summary: Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Authorization required:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API
                  summary: Authorization required
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Not Found:
                  value:
                    code: NOT_FOUND
                    messages:
                      - Not Found
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: CUSTOMER_NOT_FOUND
                  messages:
                    type: array
                    items:
                      type: string
                      example: Customer not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````